Package be.ehealth.businessconnector.therlink.domain

# Class TherapeuticLinkRequestType

java.lang.Object
be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GetTherapeuticLinkRequest`, `HasTherapeuticLinkRequest`, `PutTherapeuticLinkRequest`, `RevokeTherapeuticLinkRequest`

public abstract class TherapeuticLinkRequestType extends Object implements Serializable
TherapeuticLinkRequestType.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherapeuticLinkRequestType()`
  `TherapeuticLinkRequestType(String id, Instant date, Author author, TherapeuticLink link, Proof... proofs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Author`
  `getAuthor()`
  `Instant`
  `getDateTime()`
  `String`
  `getID()`
  `TherapeuticLink`
  `getLink()`
  `List<Proof>`
  `getProofs()`
  `int`
  `hashCode()`
  `void`
  `setLink(TherapeuticLink link)`
  `void`
  `setProofs(List<Proof> proofs)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TherapeuticLinkRequestType

    public TherapeuticLinkRequestType()

  - ### TherapeuticLinkRequestType

    public TherapeuticLinkRequestType(String id, Instant date, Author author, TherapeuticLink link, Proof... proofs)
    Parameters:
      `id` -
      `date` -
      `author` -
      `link` -
      `proofs` -

- ## Method Details

  - ### getLink

    public TherapeuticLink getLink()
    Returns:
      the link

  - ### setLink

    public void setLink(TherapeuticLink link)
    Parameters:
      `link` - the link to set

  - ### getProofs

    public List<Proof> getProofs()
    Returns:
      the proof

  - ### setProofs

    public void setProofs(List<Proof> proofs)
    Parameters:
      `proofs` - the proof to set

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public String getID()

  - ### getAuthor

    public Author getAuthor()

  - ### getDateTime

    public Instant getDateTime()